<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<?php
	include_once("include/config.php");
	$action=$_GET["action"];
	if($action!=="info")
		check_site_url();
	array_pop($_POST);//表单提交上来的数据都存入$_POST数组中，现在弹出最后一个数组值，因为最后一个是按纽
	extract($_POST);//把数组名作为变量名，数组值作为变量值
	switch($action){
		case "pwd":
			$change_str = "";
			//查看用户有没有改管员用户名
			if($admin_name !== $_COOKIE["user_name"])
			{
				if(!$admin_old_pwd)
					show_err("要改管理员名必须填写原密码");
				else
				{
					//查看输入是否有非法字符
					if(check_bad_str($admin_old_pwd))
						show_err("","bad_str");
					else
					{
						if(!check_admin_pwd($admin_old_pwd))
							show_err("原密码输入错误，请重新输入");
						else
						{
							set_config("admin_name",$admin_name);
							setcookie("user_name",$admin_name,time()+86400,"/");
							$change_str = "管理员名";
						}
					}
				}
			}
			//查看用户有没有改密码
			if($admin_pwd1)
			{
				if(check_bad_str($admin_old_pwd) || check_bad_str($admin_pwd1) || check_bad_str($admin_pwd2))
					show_err("","bad_str");
				else
				{
					//查看密码位数是否小于5位
					if(strlen($admin_pwd1)<5)
						show_err("管理密码至少要5位");
					else
					{
						if($admin_pwd1 !== $admin_pwd2)
							show_err("两次输入的密码必须一样");
						else
						{
							if(!check_admin_pwd($admin_old_pwd))
							show_err("原密码输入错误，请重新输入");
							else
							{
								set_config("admin_pwd",$admin_pwd1);
								mysql_query("update hmcss_config set config_content='" . md5($admin_pwd1) . "' where config_name = 'admin_pwd'")
									or die("更新管理员密码出错");
								$change_str ? $change_str .= "和管理密码" : $change_str = "管理密码";
							}
						}
					}
				}
			}
			$change_str ? show_err($change_str . "已成功更改，请牢记","set_site_admin.php") : show_err("您什么都没改，耍我啊……");
		break;
		case "info":
			if(!$admin_pwd)
				show_err("要改网站配置信息必须在[密码]处填写网站的管理密码");
			else
			{
				if(!check_admin_pwd($admin_pwd))
					show_err("密码输入错误，请重新输入");
				else
				{
					set_config("com_name",$com_name);
					set_config("main_product",$com_main_product);
					set_config("com_describe",$com_describe);
					set_config("com_icp",$com_icp);
					set_config("com_count",$com_count);
					set_config("site_url",$site_url);
					show_err("网站参数已成功修改","set_site_info.php");
				}
			}
			break;
		case "intro":
			set_config("com_intro",$com_intro);
			show_err("企业简介已成功修改","set_site_intro.php");
		break;
		case "contact":
			set_config("com_contact",$com_contact);
			show_err("企业联系方式已成功修改","set_site_contact.php");
		break;
		case "foot":
			set_config("foot",$foot);
			show_err("网站页脚已成功修改","set_site_foot.php");
		break;
		case "job_good":
			set_config("job_good",$job_good);
			show_err("企业福利待遇已成功修改","set_job_good.php");
		break;
	}
?>